Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227579 - Review Request: spr - Statistical pattern recognition
Summary: Review Request: spr - Statistical pattern recognition
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-06 22:20 UTC by Wart
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 14:32:26 UTC
mtasaka: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Wart 2007-02-06 22:20:20 UTC
Spec URL: http://www.kobold.org/~wart/fedora/spr.spec
SRPM URL: http://www.kobold.org/~wart/fedora/spr-05.00.01-1.src.rpm
Description: 

The package implements a variety of tools for categorization of multivariate
data such as boosted decision trees, bagging and random forest, bump hunting
(PRIM), a multi-class learner and others.

Comment 1 Wart 2007-02-06 22:59:17 UTC
rpmlint warns:

W: spr-devel no-documentation

The only documentation that might be part of the -devel subpackage is a few
lines from the README file that's already included in the main package.  I'm
inclined to ignore this warning.

Comment 2 Mamoru TASAKA 2007-04-20 08:04:24 UTC
First, please update to the newest version.
I will check it after that.

Comment 4 Mamoru TASAKA 2007-04-22 07:24:04 UTC
For 05.01.00-1:

* rpmlint - attached
  Summary:
  - libSPR.so.0.0.0 contains undefined non-weak symbols.
    This is a BLOCKER for the rpm providing -devel subpackage
    because linkage against this library fais due to these
    symbols.

* Timestamps
  - This package installs many text files (such as header files)
    which are not modified during build stage and keeping timestamps
    on these files are highly recommended.
    For this package, the following works.
-----------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"
-----------------------------------------------------

* header files location
  - Generally, if a package installs "many" header files, their
    header files should be hidden in the package specific directory
    to aboid namespace conflict.
    Would you consider to move all header files to under
    %{_includedir}/%{name}/ ?

Comment 5 Wart 2007-04-22 23:13:54 UTC
(In reply to comment #4)
> For 05.01.00-1:
> 
> * rpmlint - attached
>   Summary:
>   - libSPR.so.0.0.0 contains undefined non-weak symbols.

Good catch.  I always forget to run rpmlint on the installed packages.

> * Timestamps

Fixed.

> * header files location
>   - Generally, if a package installs "many" header files, their
>     header files should be hidden in the package specific directory
>     to aboid namespace conflict.
>     Would you consider to move all header files to under
>     %{_includedir}/%{name}/ ?

Good idea.  I'll also suggest that upstream use this as a default.

New packages:

http://www.kobold.org/~wart/fedora/spr.spec
http://www.kobold.org/~wart/fedora/spr-05.01.00-2.src.rpm


Comment 6 Mamoru TASAKA 2007-04-23 01:21:55 UTC
One issue

* Directory ownership
  - The directory %{_includedir}/%{name}/ is not owned by
    any package, which should be owned by -devel package.

Other things are all okay
-------------------------------------------------
  This package (spr) is APPROVED by me
-------------------------------------------------

Comment 7 Wart 2007-04-23 20:27:20 UTC
Many thanks for the review!  I'll fix the directory ownership in the -devel
subpackage after importing the new package, but before the first build.

New Package CVS Request
=======================
Package Name: spr
Short Description: Statistical pattern recognition 
Owners: wart@kobold.org
Branches: FC-6 EL-4 EL-5
InitialCC: 


Comment 8 Wart 2007-04-25 14:32:26 UTC
Imported and built.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.